import java.io.*;
import java.util.Locale;
import java.util.StringTokenizer;

public class travelator_vd {
	BufferedReader in;
	StringTokenizer str;
	PrintWriter out;
	String SK;

	String next() throws IOException {
		while ((str == null) || (!str.hasMoreTokens())) {
			SK = in.readLine();
			if (SK == null)
				return null;
			str = new StringTokenizer(SK);
		}
		return str.nextToken();
	};

	int nextInt() throws IOException {
		return Integer.parseInt(next());
	};

	double nextDouble() throws IOException {
		return Double.parseDouble(next());
	};

	long nextLong() throws IOException {
		return Long.parseLong(next());
	};

	long vec(long x1, long y1, long x2, long y2) {
		return x1 * y2 - x2 * y1;
	}

	double dist(int x1, int y1, int x2, int y2) {
		return Math.sqrt((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1));
	}

	void solve() throws IOException {
		int x1 = nextInt();
		int y1 = nextInt();
		int x2 = nextInt();
		int y2 = nextInt();
		int x3 = nextInt();
		int y3 = nextInt();
		double res[][] = new double[4][4];
		double v = nextDouble();
		double w = nextDouble();
		res[0][3] = res[3][0] = dist(0, 0, x1, y1) / v;
		res[1][0] = res[0][1] = dist(0, 0, x2, y2) / v;
		res[2][0] = res[0][2] = dist(0, 0, x3, y3) / v;
		res[1][2] = dist(x2, y2, x3, y3) / w;
		res[2][1] = Integer.MAX_VALUE;
		res[3][1] = res[1][3] = dist(x1, y1, x2, y2) / v;
		res[2][3] = res[3][2] = dist(x1, y1, x3, y3) / v;
		if (vec(x1, y1, x2, y2) * vec(x1, y1, x3, y3) < 0
				&& vec(x2 - x3, y2 - y3, 0 - x2, 0 - y2)
						* vec(x2 - x3, y2 - y3, x1 - x2, y1 - y2) < 0)
			res[3][0] = res[0][3] = Integer.MAX_VALUE;
		for (int t = 0; t < 4; t++)
			for (int i = 0; i < 4; i++)
				for (int j = 0; j < 4; j++)
					res[i][j] = Math.min(res[i][j], res[i][t] + res[t][j]);
		out.println(res[0][3]);
	};

	void run() throws IOException {
		Locale.setDefault(Locale.US);
		in = new BufferedReader(new FileReader("travelator.in"));
		out = new PrintWriter("travelator.out");
		solve();
		out.close();
	}

	public static void main(String[] args) throws IOException {
		new travelator_vd().run();
	}

}
